/**
Theme Name: EnviroPlus DC Child
Author: Prosomo Inc.
Author URI: https://prosomo.com
Description: EnviroPlus Duct Cleaning Ltd. has been providing residential, commercial and industrial air duct cleaning across Eastern Ontario.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: enviroplus-dc-child
Template: astra
*/


/* ------------------ Textures ------------------ */

.ep-texture svg {
    width: 1em !important;
    height: auto !important;
}

.ep-texture svg g {
    clip-path: none !important;
}

.ep-texture .elementor-icon {
    display: block !important;
}

.ep-texture.center-vertical {
    top: 50% !important;
    bottom: auto !important;
    transform: translateY(-50%) !important;
}

/*  ------------------ Boxed Element In Fullwidth Section (with container) ------------------ */
:root {
    --padding: 20px;
    --container: 1590px;
    --scroll-bar-width-windows: 17px;
    --scroll-bar-width-mac: 15px;
}
@media only screen and (min-width : 1590px) {
    .boxed_left {
        padding-left: calc( ( ( ( 100vw - var(--scroll-bar-width-windows) ) - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    .boxed_left_no_padding {
        padding-left: calc( ( ( ( 100vw - var(--scroll-bar-width-windows) ) - var(--container) ) / 2 ) ) !important;
    }
    .boxed_right {
        padding-right: calc( ( ( ( 100vw - var(--scroll-bar-width-windows)) - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    .boxed_right_no_padding {
        padding-right: calc( ( ( ( 100vw - var(--scroll-bar-width-windows)) - var(--container) ) / 2 ) ) !important;
    }
    body.mac .boxed_left {
        padding-left: calc( ( (  100vw - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    body.mac .boxed_left_no_padding {
        padding-left: calc( ( (  100vw - var(--container) ) / 2 ) ) !important;
    }
    body.mac .boxed_right {
        padding-right: calc( ( ( 100vw - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    body.mac .boxed_right_no_padding {
        padding-right: calc( ( ( 100vw - var(--container) ) / 2 ) ) !important;
    }
    body.mac.scrollbars-visible .boxed_left {
        padding-left: calc( ( ( ( 100vw - var(--scroll-bar-width-mac)  ) - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    body.mac.scrollbars-visible .boxed_left_no_padding {
        padding-left: calc( ( ( ( 100vw - var(--scroll-bar-width-mac)  ) - var(--container) ) / 2 ) ) !important;
    }
    body.mac.scrollbars-visible .boxed_right {
        padding-right: calc( ( ( ( 100vw - var(--scroll-bar-width-mac) ) - var(--container) ) / 2 ) - var(--padding) ) !important;
    }
    body.mac.scrollbars-visible .boxed_right_no_padding {
        padding-right: calc( ( ( ( 100vw - var(--scroll-bar-width-mac) ) - var(--container) ) / 2 ) ) !important;
    }
}

.green-span span{
	color:#20B787;
}
.green-link a{
	color:#20B787!important;
}
.a-span span{
	color: #20B787;
    font-family: "Rockyeah", Sans-serif;
    font-size: 35px;
    font-weight: 600;
}
.header-position {
    position: absolute;
    right: 0;
    left: 0;
	z-index:8
}
.current-menu-item a,.current-page-ancestor a{
	font-weight:bold!important;
}
p{
	margin-bottom:0px;
}
.icon-list svg{
	height: auto;
}
.icon-list .elementor-icon-box-content{
	margin-top: 5px;
}
.carousel-residential .elementor-image-carousel-wrapper {
	padding-bottom: 60px !important;
}
.hover-box .img-2-hover{
	display:none;
}
.hover-box:hover .img-2-hover{
	display:block;
}
.hover-box:hover .img-1-hover{
	display:none;
}
.hover-box:hover  .title-hover h3{
	color:#fff
}
.btn-home-foot .elementor-button-content-wrapper{
	align-items:center;
}
.btn-home-foot .elementor-button-icon svg{
    width: 4em;
}

/* page residential dryer vents */
.dv_section_intro__list ul {
	column-count: 3;
	column-gap: 40px;
	-webkit-column-break-inside: avoid !important;
    page-break-inside: avoid !important;
    break-inside: avoid !important;
}

@media only screen and (max-width : 1600px) {
    .dv_section_intro__list ul {
		column-count: 2;
	}
}

@media only screen and (max-width : 1270px) {
	.dv_section_intro__list ul {
		column-count: 1;
	}
}

@media only screen and (max-width : 767px) {
	.icon-list-arrow svg {
		transform: rotate(90deg);
	}
}

/* contact_form */

.contact_form {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    flex-wrap: wrap;
    margin: 0 !important;
}

.contact_form .half {
    flex: 0 0 calc( 50% - 12px );
    margin-bottom: 24px;
}

.contact_form .full {
    flex: 0 0 100%;
    margin-bottom: 24px;
}

.contact_form .submit_field {
    margin-bottom: 0;
}

.contact_form .submit_field p {
    text-align: right;
}

.contact_form p {
    margin: 0 !important;
    line-height: 0 !important;
}

.contact_form label {
    display: none;
}

.contact_form input,
.contact_form textarea {
    background-color: #ffffff;
    border-color: var(--e-global-color-accent);
    border-width: 0px 0px 0px 0px;
    border-radius: 0px 0px 0px 0px;
    font-family: "Montserrat", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 1em;
    color: #000;
    border: 0px solid #69727d;
    height: 49px;
}

.contact_form textarea {
    line-height: 1.2em;
    height: 160px;
}

.contact_form .submit_field input {
    transition: all .3s ease;
    padding: 12px 25px 12px 25px;
}

.contact_form .submit_field input:hover,
.contact_form .submit_field input:focus,
.contact_form .submit_field input:active {
    background-color: #ffffff;
    color: #20B787;
}

.contact_form .wpcf7-spinner {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    border-radius: 0;
    z-index: 1000;
    margin: 0;
    transition: all .3s ease;
}

.contact_form .wpcf7-spinner::before {
    position: initial;
    width: 24px;
    height: 24px;
    transform-origin: 24px 24px;
}

form.submitting .contact_form .wpcf7-spinner {
    visibility: visible;
}

.contact_form .wpcf7-not-valid-tip {
    background-color: #aa0000;
    color: white;
    font-weight: 700;
    padding: 6px 9px !important;
    border-radius: 0 0 9px 9px;
    text-align: center;
}

.wpcf7-response-output {
    background-color: #ffffff;
    color: #20B787;
    font-weight: 700;
    padding: 12px 15px !important;
    border-radius: 9px;
    text-align: center;
    border: 2px solid #20B787 !important;
    margin: 0 !important;
}

.contact_form ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: #999;
}
.contact_form ::-moz-placeholder { /* Firefox 19+ */
    color: #999;
}
.contact_form :-ms-input-placeholder { /* IE 10+ */
    color: #999;
}
.contact_form :-moz-placeholder { /* Firefox 18- */
    color: #999;
}
.contact_form ::placeholder {
    color: #999;
}

@media only screen and (max-width : 1023px) {

    .contact_form .half {
        flex: 0 0 100%;
    }
}


.contact_form_alt_colors .contact_form input,
.contact_form_alt_colors .contact_form textarea {
    border-color: var(--e-global-color-9b3e852);
    border-width: 1px 1px 1px 1px;
    border-radius: 20px 20px 20px 20px;
}

.contact_form_alt_colors .contact_form .submit_field input {
    font-family: "Montserrat", Sans-serif;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 1.2em;
    border-radius: 0px 0px 0px 0px;
    padding: 15px 60px 15px 60px;
    background-color: var(--e-global-color-9b3e852);
    color: var(--e-global-color-astglobalcolor4);
}

.contact_form_alt_colors .contact_form .submit_field input:hover,
.contact_form_alt_colors .contact_form .submit_field input:focus,
.contact_form_alt_colors .contact_form .submit_field input:active {
    background-color: #000;
    color: #fff;
    border-color: #000;
}
